GWT 2.7.0

## com.google.gwt.event.dom.client
Class HandlesAllTouchEvents

    java.lang.Object
      com.google.gwt.event.dom.client.HandlesAllTouchEvents

All Implemented Interfaces:
  TouchCancelHandler, TouchEndHandler, TouchMoveHandler, TouchStartHandler, EventHandler

    public abstract class HandlesAllTouchEvents

extends java.lang.Object
implements TouchStartHandler, TouchMoveHandler, TouchEndHandler, TouchCancelHandler

Receiver used to handle all touch events at once. WARNING, PLEASE READ: As this class is intended for developers who wish to handle all touch events in GWT, new touch handler interfaces will be added to it. Therefore, updates to GWT could cause breaking API changes.

Constructor Summary
`HandlesAllTouchEvents()` Constructor.

Method Summary
`void` | `handle(HasAllTouchHandlers eventSource)` Convenience method to handle all touch events from an event source.

`static

`<H extends TouchStartHandler & TouchMoveHandler & TouchEndHandler & TouchCancelHandler> void`

`

`handle(HasAllTouchHandlers source, H reciever)`
Convenience method used to handle all touch events from an event source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.dom.client.TouchStartHandler
`onTouchStart`

Methods inherited from interface com.google.gwt.event.dom.client.TouchMoveHandler
`onTouchMove`

Methods inherited from interface com.google.gwt.event.dom.client.TouchEndHandler
`onTouchEnd`

Methods inherited from interface com.google.gwt.event.dom.client.TouchCancelHandler
`onTouchCancel`

Constructor Detail

### HandlesAllTouchEvents

    public HandlesAllTouchEvents()

  Constructor.

Method Detail

### handle

    public static <H extends TouchStartHandler & TouchMoveHandler & TouchEndHandler & TouchCancelHandler> void handle(HasAllTouchHandlers source,
                                                                                                                   H reciever)

  Convenience method used to handle all touch events from an event source.

  Type Parameters:
    `H` - receiver type, must implement all touch handlers
  Parameters:
    `source` - the event source
    `reciever` - the receiver implementing all touch handlers

### handle

    public void handle(HasAllTouchHandlers eventSource)

  Convenience method to handle all touch events from an event source.

  Parameters:
    `eventSource` - the event source

GWT 2.7.0